Post Assignment Source
Post Assignment Source
https://statsigapi.net/console/v1/experiments/assignment_source/{name}Authorizations
STATSIG-API-KEYstringrequiredapiKey (header)
Path parameters
namestringrequiredName of the assignment source
Body
application/jsonnamestringOptional new name for the assignment source.
descriptionstringOptional updated context for the assignment source.
isVerifiedbooleanMarks the assignment source as verified for internal trustworthiness.
tagsstring[]Optional updated tags for categorization.
sqlstringrequiredSQL query defining the data source for assignments.
timestampColumnstringrequiredColumn name representing the timestamp of assignments.
experimentIDColumnstringrequiredColumn name for the experiment ID associated with the assignments.
groupIDColumnstringrequiredColumn name for the group ID linked to the assignments.
groupNameColumnstringOptional column name for the group name linked to the assignments.
idTypeMappingobject[]requiredMappings of Statsig units to their respective columns.
Show child attributes
statsigUnitIDstringrequiredID for the Statsig unit.
columnstringrequiredColumn name associated with the ID type mapping.
isReadOnlybooleanSpecifies if the source can only be edited via the Console API.
ownerobjectSchema for owner data including ID, type, name. Note that if Entity is created by CONSOLE API, owner will be undefined.
{"ownerID":"user123","ownerType":"USER","ownerName":"John Doe","ownerEmail":"owner123@test.com"}nullableShow child attributes
ownerIDstringID of the owner
abc123ownerTypestringType of the owner (e.g., SDK_KEY or USER)
USERownerNamestringThe name of the owner. This field is optional.
John DoeownerEmailstringThe email of the owner. This field is optional.
teamstringOptional field indicating the team name responsible for the metric, aiding in accountability and management.
nullableteamIDstringOptional field indicating the team ID responsible for the metric, aiding in accountability and management.
nullablescheduledReloadHourintegerOptional field indicating what UTC hour to run a scheduled scan for the assignment source.
format: int64nullablemin: 0max: 23dryRunbooleanSkips persisting the assignment source (used to validate that inputs are correct)
Response
application/jsonmessagestringrequiredA simple string explaining the result of the operation.
dataobjectrequiredShow child attributes
namestringrequiredUnique identifier for the assignment source.
descriptionstringrequiredDetailed context and purpose of the assignment source.
isVerifiedbooleanMarks the assignment source as verified for internal trustworthiness.
tagsstring[]requiredTags for categorization and search.
sqlstringrequiredSQL query defining the data source for assignments.
timestampColumnstringrequiredColumn name representing the timestamp of assignments.
experimentIDColumnstringrequiredColumn name for the experiment ID associated with the assignments.
groupIDColumnstringrequiredColumn name for the group ID linked to the assignments.
groupNameColumnstringOptional column name for the group name linked to the assignments.
idTypeMappingobject[]requiredMappings of Statsig units to their respective columns.
statsigUnitIDstringrequiredID for the Statsig unit.
columnstringrequiredColumn name associated with the ID type mapping.
isReadOnlybooleanSpecifies if the source can only be edited via the Console API.
ownerobjectSchema for owner data including ID, type, name. Note that if Entity is created by CONSOLE API, owner will be undefined.
{"ownerID":"user123","ownerType":"USER","ownerName":"John Doe","ownerEmail":"owner123@test.com"}nullableownerIDstringID of the owner
abc123ownerTypestringType of the owner (e.g., SDK_KEY or USER)
USERownerNamestringThe name of the owner. This field is optional.
John DoeownerEmailstringThe email of the owner. This field is optional.
teamstringOptional field indicating the team name responsible for the metric, aiding in accountability and management.
nullableteamIDstringOptional field indicating the team ID responsible for the metric, aiding in accountability and management.
nullablescheduledReloadHourintegerOptional field indicating what UTC hour to run a scheduled scan for the assignment source.
format: int64nullablemin: 0max: 23statusintegerrequired400messagestringrequiredstatusintegerrequired401messagestringrequiredstatusintegerrequired404messagestringrequiredWas this helpful?